/*           Install for WPS-Wizard icon addon
 *
 *                   (C) Chris Wohlgemuth 2006-2007
*/
/*
 * Copyright (c) Chris Wohlgemuth 2006-2007 
 * All rights reserved.
 *
 * http://www.os2world.com/cdwriting
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The authors name may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs


/* Get curent directory */
curdir = directory()

/* Clear screen */
'cls'

say ''
say 'Press <ENTER> to install or Ctrl-c to abort.'
say ''
SAY ''

say '>'
parse value SysCurPos() with aktzeile aktspalte
newposition=SysCurPos(aktzeile-1,2)
pull

say 'Current directory is '||curdir

/* Now install the replacement classes */
classdll=curdir'\cwtheme.dll'

/* The replacement object class */
say 'Registering CWThemeObject...'
if SysRegisterObjectClass("CWThemeObject",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeObject'
		exit 	
	end 


/* The replacement folder class */
say 'Registering CWThemeFolder...'
if SysRegisterObjectClass("CWThemeFolder",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeFolder'
		exit 	
	end 

/* The replacement disk class */

say 'Registering CWThemeDisk...'
if SysRegisterObjectClass("CWThemeDisk",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeDisk'
		/*rc=SysDeregisterObjectClass("CWThemeObject") */
		exit 	
	end 

say 'Registering CWThemeShadow...'
if SysRegisterObjectClass("CWThemeShadow",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeShadow'
		/*rc=SysDeregisterObjectClass("CWThemeObject") */
		exit 	
	end 

say 'Registering CWThemeTransient...'
if SysRegisterObjectClass("CWThemeTransient",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeTransient'
		/*rc=SysDeregisterObjectClass("CWThemeObject") */
		exit 	
	end 


/* Replacing classes */
'bin\repclass WPObject CWThemeObject'
'bin\repclass CWFolder CWThemeFolder'
'bin\repclass CWDisk CWThemeDisk'
'bin\repclass WPShadow CWThemeShadow'

/* set path to icons */

iconPath=curDir'\64x64\'||'0'x
call sysIni 'USER' , 'IconTheme', 'IconFolder', iconPath
 

curdir = directory()
/* Now install the replacement classes */
classdll=curdir'\mmtheme.dll'

/* The replacement object class */
say 'Registering CWThemeMMImage...'
if SysRegisterObjectClass("CWThemeMMImage",classdll)<>1 then
	do	 	
                say ''
		say 'Cannot register CWThemeMMImage'
		exit 	
	end 



'bin\repclass MMImage CWThemeMMImage'

/* Install memory gadget */
setupstring='EXENAME='curdir'\bin\theme\memory.cmd;MINIMIZED=YES;MINVIEW=HIDE;CCVIEW=YES;OBJECTID=<WPSWIZ_MEMORYGADGET>;'
if SysCreateObject("WPProgram", "Memory usage","<WPSWIZ_GADGETFOLDER>",setupstring,"update")<>1 then
              say "Can't create object for memory gadget"

/* Install bootdrive gadget */
setupstring='EXENAME='curdir'\bin\theme\bootdrive.cmd;MINIMIZED=YES;MINVIEW=HIDE;CCVIEW=YES;OBJECTID=<WPSWIZ_BOOTDRIVEGADGET>;'
if SysCreateObject("WPProgram", "Bootdrive^information","<WPSWIZ_GADGETFOLDER>",setupstring,"update")<>1 then
              say "Can't create object for boot drive gadget"


/********    Done    ********/
say ''
say 'You have to restart the WPS now'
'@pause'


exit



/* The following subroutine was appended while building the distribution:

GetStrings:
nlsStrings.1="..."
...
return

The routine adds the NLS strings to this script. For creating other NLS-versions
translate the files in /nls and change the makefile to include the new NLS-version.
*/

GetStrings:
nlsStrings.1='Haben Sie Kopien ihrer INI-Dateien erstellt?'
nlsStrings.2='Wenn nicht, sollten Sie jetzt abbrechen!'
nlsStrings.3='<ENTER> zum Installieren oder Ctrl-c fr Abbruch.'
nlsStrings.4='Aktuelles Verzeichnis ist '
nlsStrings.5='Registriere Klasse '
nlsStrings.6='Fehler beim Registrieren der Klasse '
nlsStrings.7='Ende...'
nlsStrings.8='Deregistriere Klasse '
nlsStrings.9='Fehler beim Deregistrieren der Klasse '
nlsStrings.10='Erstelle Programmordner auf der Arbeitsoberflche...'
nlsStrings.11='Ordner kann nicht erstellt werden.'
nlsStrings.12='Erstelle Konfigurationsobjekt...'
nlsStrings.13='Konfigurationsobjekt kann nicht erstellt werden.'
nlsStrings.14='Erstelle ein Objekt fr die Deinstallation...'
nlsStrings.15='Deinstallationsobject kann nicht erstellt werden.'
nlsStrings.16='Erstelle "Einfhrung in WPS-Wizard"...'
nlsStrings.17='Kann Objekt nicht erstellen.'
nlsStrings.18='Erstelle die Menordner-Schablone...'
nlsStrings.19='Erstelle Konfigurationsordner...'
nlsStrings.20='Erstelle Ordner fr Men-Schablonen...'
nlsStrings.21='Men kann nicht erstellt werden.'
nlsStrings.22='<ENTER>, um Installation abzuschlieen.'
nlsStrings.23="WPS-Wizard"
nlsStrings.24="WPS-Wizard^Konfiguration"
nlsStrings.25="Deinstalliere^WPS-Wizzard"
nlsStrings.26="Einfhrung in WPS-Wizard"
nlsStrings.27="Men-Ordner"
nlsStrings.28="Men-Schablonen"
nlsStrings.29="Dateinamen ~kopieren"
nlsStrings.30="Diese Datei ~zippen"
nlsStrings.31="Diesen Baum ~zippen"
nlsStrings.32='Erstelle Mens...'
nlsStrings.33='Hinweis: Die WPS wird neu gestartet, damit die neuen Klassen geladen werden.'
nlsStrings.34='Men Konfiguration'
nlsStrings.35='Erstelle Ordner fr Ordner-Aktionen...'
nlsStrings.36='Ordner Aktionen'
nlsStrings.37='Stammordner ffnen'
nlsStrings.38='Einstellungen'
nlsStrings.39='OS/2-Fenster'
nlsStrings.40='Groes OS/2-Fenster'
nlsStrings.41='Aktualisieren'
nlsStrings.42='Detailanzeige'
nlsStrings.43='Symbolanzeige'
nlsStrings.44='Objekt kann nicht erstellt werden: '
nlsStrings.45='Aktionsobjekte-Ordner'
nlsStrings.46='Launchpad-Ordner'
nlsStrings.47='OS/2-Gesamtbildschirm'
nlsStrings.48='Alles auswhlen'
nlsStrings.49='Auswahl zurcknehmen'
nlsStrings.50='Gadgets'
nlsStrings.51='Erstelle Gadget-Ordner...'
nlsStrings.52="Zeit und Datum"
nlsStrings.53="System^Information"
nlsStrings.54="Laufwerks^Information"
nlsStrings.55="z!-Info"
nlsStrings.56="Kalender"
nlsStrings.57="Datei-berwachung"
nlsStrings.58="Binre Uhr"

/* # of strings */
nlsStrings.0=58

return
